Bug 915864 - Review Request: oat - Attestation Service & Host Agent based on OpenAttestation SDK
Review Request: oat - Attestation Service & Host Agent based on OpenAttestati...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Dake
Fedora Extras Quality Assurance
:
Depends On: 865787 870977
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-26 11:40 EST by Gang Wei
Modified: 2016-04-26 14:30 EDT (History)
6 users (show)

See Also:
Fixed In Version: oat-1.6.0-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 23:18:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sdake: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Gang Wei 2013-02-26 11:40:03 EST
Spec URL: http://sourceforge.net/projects/tboot/files/oat/oat.spec
SRPM URL: http://sourceforge.net/projects/tboot/files/oat/oat-1.6.0-1.fc18.src.rpm
Description:
Hi, I just finished packaging up oat, and I would appreciate a review so that I can get it in to Fedora.

OpenAttestation (OAT) is a Intel initiated open source project providing a SDK for managing host integraty verification using TCG-defined remote attestation protocol, targeting to be integrated into cloud and enterprise management tools.

Fedora Account System Username: gwei3
Comment 1 Steven Dake 2013-03-12 13:57:06 EDT
This package includes 74 bundled libraries:
[sdake@freedom JAR_SOURCE]$ ls *jar | wc -l
74

Please note bundling is not allowed in Fedora unless a Fedora exception is granted.  It appears this has already been addressed by the packaging policy:

https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions

Search for "Copylibs"
In particular, the programming practice that is common in some java, mono, and scripting language circles of copying external libraries that are otherwise from a separate upstream into the program's source and distributing them together is not allowed.

The rpm spec file should be designed specifically for Fedora, not RPM based distributions.  In particular:
1) 
The oat-1.6.0-fedora-build.patch is disturbing.  That logic should be part of the spec file.

Further these files should be broken out as separate source files.

2)
There are init scripts in the patch.  These should be broken out as separate source files, and further, systemd unit files are required for new fedora packages rather then init scripts.

3)
There are macros for fedora vs suse - remove the suse-isms

Other problems:
1)
The description with the trademark "Intel" violates the trademark rules of packaging:

2)
I recommend placing Requires and BuildRequires on separate lines, ie:
Requires: httpd
Requires: tomcat6
Requires: mysql

See:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#summary

3)
scriplets are modifying sql databases.  This is not allowed.  See:

See:
https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Scriptlets

specifically:
Scriplets are only allowed to write in certain directories

One could argue that mysql is writing outside these directories.

I would suggest instead installing a oat-db-drop script which drops the oat database for users to run if they choose.  Same for db setup - recommend an oat-db-setup script.

I'll do a formal review once the 74 bundled libraries are packaged, or an exception is granted by the Fedora Packaging Committee.  The committe that grants exceptions can be contacted here:

http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Search for "Exceptions"
Comment 2 Dan Radez 2013-03-15 10:16:02 EDT
 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
dradez@tirreno:/tmp/oat➤ rpmlint oat-1.6.0-1.fc18.src.rpm 
oat.src: W: spelling-error %description -l en_US integraty -> integrate, integrity, integrator
oat.src: W: non-standard-group Cloud Infrastructure
oat.src: W: invalid-url Source1: oat-1.6.0-deps.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[=] MUST: The package must meet the Packaging Guidelines. [FIXME?: covers this list and more]
I don't think you can package the dependant jars in the src.rpm like you have it. Probably need someone more experienced in Java packaging to comment on the proper way to pull maven dependancies.

Looks like sdake has already addressed this in his comments.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
11deefd195136ba90eed805c540a9e1a
[+] MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
dradez@tirreno:/tmp/oat➤ mock -r fedora-17-x86_64 --rebuild oat-1.6.0-1.fc18.src.rpm
...snip...  
INFO: Done(oat-1.6.0-1.fc18.src.rpm) Config(fedora-17-x86_64) 5 minutes 36 seconds
...snip...
dradez@tirreno:/tmp/oat➤ mock -r fedora-18-x86_64 --rebuild oat-1.6.0-1.fc18.src.rpm 
...snip...
INFO: Done(oat-1.6.0-1.fc18.src.rpm) Config(fedora-18-x86_64) 11 minutes 11 seconds
...snip...
[NA] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+] MUST: All build dependencies must be listed in BuildRequires
[=] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro.
Didn't see a find_lang macro, but not sure if there are other locales to handle.
[NA] MUST: Every binary RPM package which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[-] MUST: Each package must consistently use macros, as described in the macros section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is described in detail in the code vs. content section of Packaging Guidelines.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[NA] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[-] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.
Comment 3 Dan Radez 2013-03-15 10:38:27 EDT
Couple additions to my review:

%post should not mkdir
%install should and you should list the directories in your files


%post is not intended to completely configure the app so it can be started as soon as the rpm install is completed. %post usually doesn't general feedback either.

You should provide a config script for the user to execute after installation to do most of the configuration that is currently in %post
Comment 4 Gang Wei 2013-04-28 01:23:04 EDT
The biggest bundling issue was worked on for a while. By far, most bundled dependencies were resolved by either removal of redundant jars or found corresponding fedora packages. There are still four dependencies needing working on:

1. jaxb-xjc.jar

It was used to generate java code from some TCG schema files during build process. Even there is a similar jar provided in glassfish-jaxb-2.2.5-3.fc18.noarch package, but the one oat depending on has some private modifications. So we will change to include the generated java code in oat source code, then we can remove dependency on jaxb-xjc.jar.

2. jaxws-rt.jar/jaxws-tools.jar/streambuffer.jar

jaxws-rt.jar & jaxws-tools.jar were coming from glassfish JAX-WS RI project (https://jax-ws.java.net/), with license: CDDL v1.1 and GPL v2 with linking exceptions(same as glassfish).
streambuffer.jar was coming from glassfish xml stream buffer project (https://java.net/projects/xmlstreambuffer/), with license: CDDL v1.1 and GPL v2 with linking exceptions(same as glassfish).
The fedora package review requests for the above two projects were already filed by gil cattaneo, and were just added to the dependencies of oat review request:
  glassfish-jaxws https://bugzilla.redhat.com/show_bug.cgi?id=870977
  xmlstreambuffer https://bugzilla.redhat.com/show_bug.cgi?id=865787
Looks like we need to help or wait for the above two packages pass the review.

Still working on other review comments.
Comment 5 Gang Wei 2013-05-17 09:24:34 EDT
Spec URL: http://gwei3.fedorapeople.org/package_review/oat/v2/oat.spec
SRPM URL: http://gwei3.fedorapeople.org/package_review/oat/v2/oat-1.6.0-1.fc18.src.rpm

Fixed all issues pointed by Steven & Dan. But still wait for jaxws package to pass review first.
Comment 6 Gang Wei 2013-05-21 12:10:15 EDT
glassfish-jaxws was approved. Please continue to review the v2 oat package.
Comment 7 Steven Dake 2013-05-21 13:22:48 EDT
Gang Wei,
Typically it is better (tips for next time) to keep each version of the RPM and update the spec file with version numbers so diffs can be done against the spec files.  As you update the spec file, bump the Release number and update the changelog as well. 

The spec files look far improved from what I recall, however, I notice the following issues that need resolution before a formal review.  (The formal review takes awhile, so I prefer to get all the obvious issues out of the way).

Is it necessary to have a separate version # and dist for each package?  I can see this causing all kinds of confusion and it is probably a violation of the packaging guidelines, but I can't find the specific item on this point.  Maybe your the first one that has tried it.  If you don't absolutely need it, I wouldn't do it.

eg:

%package appraiser
Summary: Appraisal Server for OpenAttestation
Version: 1.6.0
Release: 1%{?dist}

%package client
Summary: Host Agent for OpenAttestation
Version: 1.6.0
Release: 1%{?dist}

In fedora packages there is no need for a clean section.  It is safe to remove
  %clean
rm -rf %{buildroot}

The scriplets should not be removing files managed by rpm - specifically:
%preun appraiser
if [ -d %{_sharedstatedir}/oat-appraiser/ ]; then
        rm -rf %{_sharedstatedir}/oat-appraiser/
fi

Or databases:
if [ -e %{_datadir}/oat-appraiser/oat-db-drop.sh ]; then
        bash %{_datadir}/oat-appraiser/oat-db-drop.sh
fi

Or config files:
if [ -d %{_datadir}/oat-appraiser/ ]; then
        rm -rf %{_datadir}/oat-appraiser/
fi 

This looks suspicious as well, but I'm not sure exactly how the package is supposed to behave:
if [ -d %{_datadir}/java/oat ]; then
        rm -rf %{_datadir}/java/oat
fi

This is wrong:
if [ -e %{_sysconfdir}/systemd/system/oat-client.service ]; then
       systemctl stop oat-client.service
       rm -f %{_sysconfdir}/systemd/system/oat-client.service
fi

A far superior way to do the systemd magic is to use the scripts built for it.  For examples, take a look at:
https://raw.github.com/sdake/fedora-reviews/master/openstack-heat/openstack-heat.spec

deleting files managed by rpm:
if [ -d %{_sysconfdir}/oat-client/ ]; then
        rm -rf %{_sysconfdir}/oat-client/
fi

All of these deletes should be managed by RPM.

I didn't build the package and will need a rawhide install to do so but nothing should be installing files in /:
if [ -d /OAT/ ]; then
        rm -rf /OAT/
fi

Is there a strong rationale for having the build.sh script not just be part of the %build section?  I'd prefer an unwieldy build section that is maintainable to an upstream build script that could change.  Seems like opportunity for breakage later if the upstream build.sh script changes in some way that is incompatible with RPM.

Since there are new deps added, I will have to install rawhide in a VM.  I'll work on that today but I am having technical issues with our networks and unable to download large files.  I'll sort that out, but it may cause delay.

Regards
-steve
Comment 8 Gang Wei 2013-05-23 12:41:47 EDT
Spec URL: http://gwei3.fedorapeople.org/package_review/oat/v3/oat.spec
SRPM URL: http://gwei3.fedorapeople.org/package_review/oat/v3/oat-1.6.0-2.fc18.src.rpm

Fixed all issues pointed by Steven in last comment.
Comment 9 Steven Dake 2013-05-28 19:25:44 EDT
Jimmy,

The file oat-1.6.0-pregen-xsd.patch looks troubling.  What creates this file?  If upstream version changes, how is it recreated?  Pregeneration of code should happen in the %build section, not in a patch from a tool outside of Fedora packaging.  If tools are used to generate patches (rather then humans) that don't have approved Fedora licenses and have gone through the fedora packaging process, it is possible they could be in violation of our guidelines (ie not have an acceptable license, etc) or be abandoned.  This would leave the future maintainer of the oats package in a serious bind.

Please find a mechanism to build this at build time or convince me otherwise.

jetty-osgi has been broken into separate subpackages in rawhide.  I am not sure which one the package requires.  This needs fixing before I can continue the review.

For the list of jetty-osgi-* packages, see:
http://koji.fedoraproject.org/koji/buildinfo?buildID=421207

I attempted a koji build after taking out jetty-osgi as a dep and got an error:

[sdake@bigiron SRPMS]$ koji build --scratch rawhide oat-1.6.0-2.fc18.src.rpm
Uploading srpm: oat-1.6.0-2.fc18.src.rpm
[====================================] 100% 00:02:50   5.23 MiB  31.34 KiB/sec
Created task: 5435684
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5435684
Watching tasks (this may be safely interrupted)...
5435684 build (rawhide, oat-1.6.0-2.fc18.src.rpm): free
5435684 build (rawhide, oat-1.6.0-2.fc18.src.rpm): free -> open (arm02-builder09.arm.fedoraproject.org)
  5435687 buildArch (oat-1.6.0-2.fc18.src.rpm, i686): open (buildvm-20.phx2.fedoraproject.org)
  5435686 buildArch (oat-1.6.0-2.fc18.src.rpm, x86_64): open (buildvm-21.phx2.fedoraproject.org)
  5435686 buildArch (oat-1.6.0-2.fc18.src.rpm, x86_64): open (buildvm-21.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch x86_64), mock exited with status 1; see build.log for more information
  0 free  2 open  0 done  1 failed
  5435687 buildArch (oat-1.6.0-2.fc18.src.rpm, i686): open (buildvm-20.phx2.fedoraproject.org) -> FAILED: BuildError: error building package (arch i686), mock exited with status 1; see build.log for more information
  0 free  1 open  0 done  2 failed
5435684 build (rawhide, oat-1.6.0-2.fc18.src.rpm): open (arm02-builder09.arm.fedoraproject.org) -> FAILED: BuildError: error building package (arch x86_64), mock exited with status 1; see build.log for more information
  0 free  0 open  0 done  3 failed

5435684 build (rawhide, oat-1.6.0-2.fc18.src.rpm) failed
[sdake@bigiron SRPMS]$ 

Please make sure you can build the package in koji against rawhide.  The error is shown in the build log:
   [javac] Creating empty /builddir/build/BUILD/OpenAttestation-1.6.0/Source/HisWebServices/WEB-INF/classes/gov/niarl/sal/webservices/hisWebService/server/domain/package-info.class
      [jar] Building jar: /builddir/build/BUILD/OpenAttestation-1.6.0/Source/HisWebServices/HisWebServices.war
BUILD FAILED
/builddir/build/BUILD/OpenAttestation-1.6.0/Source/HisWebServices/build.xml:59: Problem creating jar: /builddir/build/BUILD/OpenAttestation-1.6.0/Source/HisWebServices/WEB-INF/lib/jaas.jar (No such file or directory)
Total time: 2 seconds
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.vgbq35 (%build)
    Bad exit status from /var/tmp/rpm-tmp.vgbq35 (%build)

This looks to me like perhaps you have some old files in your build environment  that are allowing the build to work for you locally, but not koji remotely.  Not certain on this point.

Until these problems are solved, I won't be able to provide a review since I can't build the package.

Also:

[sdake@bigiron srpm]$ rpmlint oat*rpm
oat.src: W: non-standard-group Cloud Infrastructure
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

BLOCKER: Note this should be the Applications/System like other cloud related technologies.

For more about using koji see:
https://fedoraproject.org/wiki/Using_the_Koji_build_system
Comment 10 Gang Wei 2013-05-28 20:57:59 EDT
Steven,

Thanks for the review.

We were working for removing the generated code for a while, likely to make it 
done very soon. It is previously generated by a modified xjb tools, now we are 
trying to change to openjdk tools.

And meanwhile we will look into jetty-osgi, koji build & group issue.

Jimmy
Comment 11 Gang Wei 2013-05-29 07:04:40 EDT
Spec URL: http://gwei3.fedorapeople.org/package_review/oat/v4/oat.spec
SRPM URL: http://gwei3.fedorapeople.org/package_review/oat/v4/oat-1.6.0-3.fc18.src.rpm

Fixed all issues pointed by Steven in comment 9. Tested in koji.
Comment 12 Steven Dake 2013-05-29 12:19:36 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
- Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in oat-appraiser,
  oat-client, oat-commandtool, oat-docs
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
- Javadoc documentation files are generated and included in -javadoc
  subpackage
  Note: No javadoc subpackage present
  See: https://fedoraproject.org/wiki/Packaging:Java#Javadoc_installation
- Large documentation must go in a -doc subpackage.
  Note: Documentation size is 2088960 bytes in 7 files.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====


Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines. (original BSD)
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in oat-
     appraiser , oat-client , oat-commandtool , oat-docs
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 54 files have unknown license.
     Detailed output of licensecheck in
     /home/sdake/915864-oat/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.

tomcat6 is not a package in rawhide - there may be others - try installing the RPM in a mock environment.

[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Bundled jar/class files should be removed before build

Maven:
[-]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[!]: Uses parallel make.
[!]: Spec use %global instead of %define.
     Note: %define _TOMCAT "%{_datadir}/tomcat6"
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

License is present in tarball, it should be installed.

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.

Should use install rather then cp

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 5079040 bytes in /usr/share 2088960
     oat-docs-1.6.0-3.fc20.x86_64.rpm 2437120 oat-
     appraiser-1.6.0-3.fc20.x86_64.rpm 552960 oat-
     client-1.6.0-3.fc20.x86_64.rpm
[x]: Spec file according to URL is the same as in SRPM.
Installation errors
-------------------
INFO: mock.py version 1.1.32 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.32
INFO: Mock Version: 1.1.32
Start: lock buildroot
INFO: installing package(s): /home/sdake/915864-oat/results/oat-appraiser-1.6.0-3.fc20.x86_64.rpm /home/sdake/915864-oat/results/oat-client-1.6.0-3.fc20.x86_64.rpm /home/sdake/915864-oat/results/oat-commandtool-1.6.0-3.fc20.x86_64.rpm /home/sdake/915864-oat/results/oat-docs-1.6.0-3.fc20.x86_64.rpm
ERROR: Command failed:
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-x86_64/root/', 'install', '/home/sdake/915864-oat/results/oat-appraiser-1.6.0-3.fc20.x86_64.rpm', '/home/sdake/915864-oat/results/oat-client-1.6.0-3.fc20.x86_64.rpm', '/home/sdake/915864-oat/results/oat-commandtool-1.6.0-3.fc20.x86_64.rpm', '/home/sdake/915864-oat/results/oat-docs-1.6.0-3.fc20.x86_64.rpm']
Error: Package: oat-appraiser-1.6.0-3.fc20.x86_64 (/oat-appraiser-1.6.0-3.fc20.x86_64)
           Requires: tomcat6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Rpmlint
-------
Checking: oat-appraiser-1.6.0-3.fc20.x86_64.rpm
          oat-client-1.6.0-3.fc20.x86_64.rpm
          oat-commandtool-1.6.0-3.fc20.x86_64.rpm
          oat-docs-1.6.0-3.fc20.x86_64.rpm
oat-appraiser.x86_64: E: explicit-lib-dependency cglib
oat-appraiser.x86_64: E: explicit-lib-dependency libgcj
oat-appraiser.x86_64: E: explicit-lib-dependency msv-xsdlib
oat-appraiser.x86_64: W: no-documentation
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jsr311-api-1.1.1.jar /usr/share/java/jsr-311.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/hibernate-commons-annotations.jar /usr/share/java/hibernate/hibernate-commons-annotations.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/jaxb-impl.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/commons-collections-2.1.1.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/xmlstreambuffer.jar /usr/share/java/xmlstreambuffer.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/xerces-j2.jar /usr/share/java/xerces-j2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/xerces-j2.jar /usr/share/java/xerces-j2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/woodstox.jar /usr/share/java/woodstox-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/woodstox.jar /usr/share/java/woodstox-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-discovery-0.2.jar /usr/share/java/apache-commons-discovery.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/includes/footer.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-logging-1.0.4.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-logging.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/alert.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/glassfish-pfl-basic.jar /usr/share/java/glassfish-pfl/glassfish-pfl-basic.jar
/usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/woodstox.jar /usr/share/java/woodstox-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/hibernate-commons-annotations.jar /usr/share/java/hibernate/hibernate-commons-annotations.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jaxb-impl.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-server.jar /usr/share/java/jersey/jersey-server.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/commons-httpclient-3.0.jar /usr/share/java/commons-httpclient.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/user.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: non-conffile-in-etc /etc/oat-appraiser/OpenAttestation.properties
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-digester.jar /usr/share/java/apache-commons-digester.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-digester.jar /usr/share/java/apache-commons-digester.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jta.jar /usr/share/java/jta.jar
lib/commons-httpclient-3.0.jar /usr/share/java/commons-httpclient.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/jaxws-rt.jar /usr/share/java/glassfish-jaxws/jaxws-rt.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-logging.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/hibernate-commons-annotations.jar /usr/share/java/hibernate/hibernate-commons-annotations.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/styles/screen.css
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-collections-2.1.1.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/machines.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-ha-api.jar /usr/share/java/glassfish-ha-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/includes/dbconnect.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-codec-1.4.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/mysql-connector-java-5.0.7-bin.jar /usr/share/java/mysql-connector-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/hibernate-jpa-2.0-api.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/xml-resolver.jar /usr/share/java/xml-commons-resolver-1.2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/commons-logging-1.0.4.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/hibernate-commons-annotations.jar /usr/share/java/hibernate/hibernate-commons-annotations.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: non-conffile-in-etc /etc/oat-appraiser/setup.properties
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/asm-3.1.jar /usr/share/java/objectweb-asm/asm.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jaxws-rt.jar /usr/share/java/glassfish-jaxws/jaxws-rt.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jaxb-impl.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/xmlstreambuffer.jar /usr/share/java/xmlstreambuffer.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/hibernate-jpa-2.0-api.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/xerces-j2.jar /usr/share/java/xerces-j2.jar
oat-appraiser.x86_64: E: script-without-shebang /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/web.xml
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/commons-codec-1.4.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/reports.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/servlet-api.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-logging.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/xml-commons-apis.jar /usr/share/java/xml-commons-apis.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/mysql-connector-java-5.0.7-bin.jar /usr/share/java/mysql-connector-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jaxb-xjc.jar /usr/share/java/glassfish-jaxb/jaxb-xjc.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/admin/updatealert.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/AttestationService/WEB-INF/lib/xsdlib.jar /usr/share/java/xsdlib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jsr311-api-1.1.1.jar /usr/share/java/jsr-311.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-discovery-0.2.jar /usr/share/java/apache-commons-discovery.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/certificate.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/help.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/lib/jersey-server.jar /usr/share/java/jersey/jersey-server.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/WLMService/WEB-INF/lib/log4j-1.2.14.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisWebServices/WEB-INF/jars-compile-only/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
t-appraiser.x86_64: E: script-without-shebang /var/www/html/OAT/includes/header.php
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat6/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: no-manual-page-for-binary NIARL_TPM_Module
oat-client.x86_64: E: explicit-lib-dependency cglib
oat-client.x86_64: E: explicit-lib-dependency libgcj
oat-client.x86_64: E: explicit-lib-dependency msv-xsdlib
oat-client.x86_64: E: devel-dependency trousers-devel
oat-client.x86_64: W: only-non-binary-in-usr-lib
oat-client.x86_64: W: no-documentation
oat-client.x86_64: W: non-conffile-in-etc /etc/oat-client/OAT07.jpg
oat-client.x86_64: E: non-executable-script /usr/share/oat-client/script/provisioner.sh 0644L /bin/bash
oat-client.x86_64: W: non-conffile-in-etc /etc/oat-client/log4j.properties
oat-client.x86_64: E: non-executable-script /usr/share/oat-client/script/oat_function 0644L /bin/bash
oat-client.x86_64: E: non-executable-script /usr/share/oat-client/script/OAT_client.sh 0644L /bin/bash
oat-client.x86_64: W: non-conffile-in-etc /etc/oat-client/TPMModule.properties
oat-client.x86_64: W: class-path-in-manifest /usr/share/oat-client/OAT_Standalone.jar
oat-commandtool.x86_64: W: no-documentation
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_cert
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_oem
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_host
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_mle
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_mle_search
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_oem
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_mle
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_os
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_pcrwhitelist
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_pollhosts
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_os
4 packages and 0 specfiles checked; 41 errors, 478 warnings.
Requires
--------
oat-docs (rpmlib, GLIBC filtered):

oat-appraiser (rpmlib, GLIBC filtered):
    apache-commons-beanutils
    apache-commons-cli
    apache-commons-codec
    apache-commons-collections
    apache-commons-digester
    apache-commons-discovery
    apache-commons-logging
    bouncycastle
    c3p0
    cglib
    codemodel
    dom4j
    geronimo-jta
    glassfish-fastinfoset
    glassfish-gmbal
    glassfish-ha-api
    glassfish-jaxb
    glassfish-jaxws
    glassfish-jaxws-tools
    glassfish-management-api
    glassfish-pfl
    glassfish-policy
    hibernate-commons-annotations
    hibernate-jpa-2.0-api
    hibernate3
    httpd
    istack-commons
    jackson
    jakarta-commons-httpclient
    javassist
    jersey
    jsr-311
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcj
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtspi.so.1()(64bit)
    log4j
    mimepull
    msv-xsdlib
    mysql
    mysql-connector-java
    mysql-server
    objectweb-asm
    php
    php-mysql
    rngom
    rtld(GNU_HASH)
    slf4j
    stax-ex
    tomcat-servlet-3.0-api
    tomcat6
    txw2
    woodstox-core
    xerces-j2
    xml-commons-apis
    xml-commons-resolver
    xmlstreambuffer
    xsom
    xsom

oat-commandtool (rpmlib, GLIBC filtered):
    /bin/bash
    curl
    openssl



Provides
--------
oat-docs:
    oat-docs
    oat-docs(x86-64)

oat-appraiser:
    oat-appraiser
    oat-appraiser(x86-64)

oat-client:
    oat-client
    oat-client(x86-64)

oat-commandtool:
    oat-commandtool
    oat-commandtool(x86-64)



Source checksums
----------------
https://github.com/OpenAttestation/OpenAttestation/archive/v1.6.0/OpenAttestation-1.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 608aa58bb9afeea8e059bb0cb5c9be49711df1dd7a84c6fbeb1a61848149017b
  CHECKSUM(SHA256) upstream package : 608aa58bb9afeea8e059bb0cb5c9be49711df1dd7a84c6fbeb1a61848149017b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 915864


Final notes:

Anything with a ! requires attention.  I was not able to install the package because tomcat6 does not exist in rawhide but is a package dependency of one of the packages.  The license file should be distributed as a %doc (BSD_LICENSE in the tarball).  The package is looking much better, but a big majority of those rpmlint errors are fixable.

The review will block on these items.
Comment 13 Steven Dake 2013-05-29 12:25:37 EDT
Note:
regarding lack of manual pages, review will not block on missing manual pages, but I would really appreciate it if you opened upstream bugs for each of those binaries to provide manual pages.  Projects without manual pages are super frustrating for users to take advantage of.

Regards
-steve
Comment 14 Steven Dake 2013-05-29 12:27:16 EDT
rpmlint errors along with suggested fixes are documented here:
http://fedoraproject.org/wiki/Common_Rpmlint_issues
Comment 15 Gang Wei 2013-05-30 10:16:44 EDT
Spec URL: http://gwei3.fedorapeople.org/package_review/oat/v5/oat.spec
SRPM URL: http://gwei3.fedorapeople.org/package_review/oat/v5/oat-1.6.0-4.fc20.src.rpm

Fixed all major issues pointed by Steven in comment 12. Tested with fedora-review.

I will file a bug in oat upstream for the missing manual page issue.

Thanks
-Jimmy
Comment 16 Steven Dake 2013-05-30 16:46:40 EDT
Rpmlint
-------
Checking: oat-appraiser-1.6.0-4.fc20.x86_64.rpm
          oat-client-1.6.0-4.fc20.x86_64.rpm
          oat-commandtool-1.6.0-4.fc20.x86_64.rpm
          oat-doc-1.6.0-4.fc20.x86_64.rpm
          oat-javadoc-1.6.0-4.fc20.x86_64.rpm
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/xerces-j2.jar /usr/share/java/xerces-j2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-httpclient-3.0.jar /usr/share/java/commons-httpclient.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jsr311-api-1.1.1.jar /usr/share/java/jsr-311.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/mysql-connector-java-5.0.7-bin.jar /usr/share/java/mysql-connector-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/xml-commons-apis.jar /usr/share/java/xml-commons-apis.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jboss-logging.jar /usr/share/java/jboss-logging/jboss-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jboss-logging.jar /usr/share/java/jboss-logging/jboss-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-logging.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-collections-2.1.1.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/xml-resolver.jar /usr/share/java/xml-commons-resolver-1.2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/glassfish-ha-api.jar /usr/share/java/glassfish-ha-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-ha-api.jar /usr/share/java/glassfish-ha-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-collections-2.1.1.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/log4j-1.2.14.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/commons-codec-1.3.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/log4j-1.2.14.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-collections-2.1.1.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/xml-resolver.jar /usr/share/java/xml-commons-resolver-1.2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/commons-logging-1.0.4.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/servlet-api.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/commons-discovery-0.2.jar /usr/share/java/apache-commons-discovery.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-httpclient-3.0.jar /usr/share/java/commons-httpclient.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jaxws-rt.jar /usr/share/java/glassfish-jaxws/jaxws-rt.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: non-conffile-in-etc /etc/oat-appraiser/OAT.properties
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/glassfish-pfl-basic.jar /usr/share/java/glassfish-pfl/glassfish-pfl-basic.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/xml-commons-apis.jar /usr/share/java/xml-commons-apis.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-collections-2.1.1.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/hibernate-jpa-2.0-api.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jersey-server.jar /usr/share/java/jersey/jersey-server.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/asm-3.1.jar /usr/share/java/objectweb-asm/asm.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-codec-1.3.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/cglib-2.2.jar /usr/share/java/cglib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-pfl-basic.jar /usr/share/java/glassfish-pfl/glassfish-pfl-basic.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-httpclient-3.0.jar /usr/share/java/commons-httpclient.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/mimepull.jar /usr/share/java/mimepull.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/dom4j-1.6.1.jar /usr/share/java/dom4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/servlet-api.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/xsdlib.jar /usr/share/java/xsdlib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jboss-logging.jar /usr/share/java/jboss-logging/jboss-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jaxb-xjc.jar /usr/share/java/glassfish-jaxb/jaxb-xjc.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jsr311-api-1.1.1.jar /usr/share/java/jsr-311.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/slf4j-log4j12.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/asm-3.1.jar /usr/share/java/objectweb-asm/asm.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-logging.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jaxb-impl.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/xsdlib.jar /usr/share/java/xsdlib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jsr311-api-1.1.1.jar /usr/share/java/jsr-311.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-digester.jar /usr/share/java/apache-commons-digester.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
WebServices2/WEB-INF/jars-compile-only/slf4j-log4j12.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/xerces-j2.jar /usr/share/java/xerces-j2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-beanutils.jar /usr/share/java/apache-commons-beanutils.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-codec-1.4.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jaxb-xjc.jar /usr/share/java/glassfish-jaxb/jaxb-xjc.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/xmlstreambuffer.jar /usr/share/java/xmlstreambuffer.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/xml-resolver.jar /usr/share/java/xml-commons-resolver-1.2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/asm-3.1.jar /usr/share/java/objectweb-asm/asm.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/mysql-connector-java-5.0.7-bin.jar /usr/share/java/mysql-connector-java.jar
oat-appraiser.x86_64: W: non-conffile-in-etc /etc/oat-appraiser/OpenAttestation.properties
oat-appraiser.x86_64: W: non-conffile-in-etc /etc/oat-appraiser/OpenAttestation.properties
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jsr311-api-1.1.1.jar /usr/share/java/jsr-311.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-logging.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jaxws-rt.jar /usr/share/java/glassfish-jaxws/jaxws-rt.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jaxb-impl.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/log4j-1.2.8.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-logging-1.0.4.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/log4j-1.2.14.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-logging-1.1.1.jar /usr/share/java/apache-commons-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/asm-3.1.jar /usr/share/java/objectweb-asm/asm.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/commons-codec-1.3.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/woodstox.jar /usr/share/java/woodstox-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/xml-commons-apis.jar /usr/share/java/xml-commons-apis.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/asm-3.1.jar /usr/share/java/objectweb-asm/asm.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/istack-commons-tools.jar /usr/share/java/istack-commons-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jaas.jar /usr/share/java/libgcj-4.8.0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/FastInfoset.jar /usr/share/java/glassfish-fastinfoset.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/hibernate-commons-annotations.jar /usr/share/java/hibernate/hibernate-commons-annotations.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-codec-1.3.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/servlet-api.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/xsdlib.jar /usr/share/java/xsdlib.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/hibernate-core-3.jar /usr/share/java/hibernate3/hibernate-core-3.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jaxws-tools.jar /usr/share/java/glassfish-jaxws/jaxws-tools.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-codec-1.3.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/woodstox.jar /usr/share/java/woodstox-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jaxb-xjc.jar /usr/share/java/glassfish-jaxb/jaxb-xjc.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/servlet-api.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/xml-resolver.jar /usr/share/java/xml-commons-resolver-1.2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/rngom.jar /usr/share/java/rngom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-digester.jar /usr/share/java/apache-commons-digester.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/woodstox.jar /usr/share/java/woodstox-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jersey-server.jar /usr/share/java/jersey/jersey-server.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/servlet-api.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jboss-logging.jar /usr/share/java/jboss-logging/jboss-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-servlet.jar /usr/share/java/jersey/jersey-servlet.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/xmlstreambuffer.jar /usr/share/java/xmlstreambuffer.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jaxb-xjc.jar /usr/share/java/glassfish-jaxb/jaxb-xjc.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/slf4j-log4j12.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/glassfish-management-api.jar /usr/share/java/glassfish-management-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/txw2.jar /usr/share/java/txw2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/jackson-core-asl.jar /usr/share/java/jackson/jackson-core-asl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/slf4j-log4j12.jar /usr/share/java/slf4j/slf4j-log4j12.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/commons-codec-1.3.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jta.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/mysql-connector-java-5.0.7-bin.jar /usr/share/java/mysql-connector-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/stax-ex.jar /usr/share/java/stax-ex.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/jboss-logging.jar /usr/share/java/jboss-logging/jboss-logging.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-pfl-tf.jar /usr/share/java/glassfish-pfl/glassfish-pfl-tf.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/log4j-1.2.14.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/xerces-j2.jar /usr/share/java/xerces-j2.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/servlet.jar /usr/share/java/tomcat-servlet-3.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/c3p0-0.9.0.jar /usr/share/java/c3p0.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/log4j-over-slf4j.jar /usr/share/java/slf4j/log4j-over-slf4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/xsom.jar /usr/share/java/xsom.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/jersey-client-1.9.1.jar /usr/share/java/jersey/jersey-client.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-core.jar /usr/share/java/jersey/jersey-core.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/log4j-1.2.14.jar /usr/share/java/log4j.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/javassist.jar /usr/share/java/javassist.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jersey-json.jar /usr/share/java/jersey/jersey-json.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/glassfish-policy.jar /usr/share/java/glassfish-policy.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-collections.jar /usr/share/java/apache-commons-collections.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jta-spec1_0_1.jar /usr/share/java/jta.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/glassfish-pfl-basic.jar /usr/share/java/glassfish-pfl/glassfish-pfl-basic.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/glassfish-ha-api.jar /usr/share/java/glassfish-ha-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/codemodel.jar /usr/share/java/codemodel.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/glassfish-gmbal.jar /usr/share/java/glassfish-gmbal.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/slf4j-api.jar /usr/share/java/slf4j/api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/bcprov-jdk15-141.jar /usr/share/java/bcprov.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/mchange-commons.jar /usr/share/java/mchange-commons-java.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/WLMService/WEB-INF/lib/commons-codec-1.4.jar /usr/share/java/apache-commons-codec.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/lib/hibernate-commons-annotations.jar /usr/share/java/hibernate/hibernate-commons-annotations.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/commons-cli-1.0.jar /usr/share/java/apache-commons-cli.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/hibernate-jpa-2.0-api.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/AttestationService/WEB-INF/lib/jaxb-impl.jar /usr/share/java/glassfish-jaxb/jaxb-impl.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/hibernate-jpa-2.0-api.jar /usr/share/java/hibernate-jpa-2.0-api.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/ClientFiles/lib/commons-discovery-0.2.jar /usr/share/java/apache-commons-discovery.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisWebServices/WEB-INF/jars-compile-only/istack-commons-runtime.jar /usr/share/java/istack-commons-runtime.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/lib/jersey-server.jar /usr/share/java/jersey/jersey-server.jar
oat-appraiser.x86_64: W: dangling-symlink /usr/share/tomcat/webapps/HisPrivacyCAWebServices2/WEB-INF/jars-compile-only/jersey-server.jar /usr/share/java/jersey/jersey-server.jar

bunch more dangling symlinks
oat-client.x86_64: W: only-non-binary-in-usr-lib
oat-client.x86_64: W: non-conffile-in-etc /etc/oat-client/OAT07.jpg
oat-client.x86_64: W: non-conffile-in-etc /etc/oat-client/log4j.properties
oat-client.x86_64: W: non-conffile-in-etc /etc/oat-client/TPMModule.properties
oat-client.x86_64: W: class-path-in-manifest /usr/share/oat-client/OAT_Standalone.jar
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_cert
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_oem
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_host
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_mle
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_mle_search
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_oem
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_mle
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_os
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_pcrwhitelist
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_pollhosts
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_os
oat-javadoc.x86_64: W: dangerous-command-in-%postun rm
5 packages and 0 specfiles checked; 0 errors, 483 warnings.
Comment 17 Steven Dake 2013-05-30 16:58:36 EDT
rm -rf %{buildroot} is not needed, please remove it.  Also remove the other rm -rf commands in the script that are removing stuff in the buildroot.  These are cause of concern in later packaging efforts.

rpmlint warnings are out of control.  Please fix the dangling symlinks, I believe that can result in a security issue - but am not certain.

postun javadoc should not be removing files.  Let the javadoc files be managed by the package manager, and rpm will remove them.

files in confdir (/etc) need a confdir directive so they can be upgraded properly - otherwise the old configuration will be totally wiped out on an upgrade.

Not sure what the class path in manifest warning is, but I don't think JARs should be in /usr/share (but I could be wrong).

Ideally I would like to see the rpmlint warnings counts at zero, unless there is something broken about rpmlint.  While brokeneness in rpmlint does happen (and gives false negatives) it is ideal that we don't have 480 rpmlint warnings in the package.

Looking much better though, almost there :)
Comment 18 Gang Wei 2013-05-30 20:02:47 EDT
> files in confdir (/etc) need a confdir directive so they can be upgraded properly - otherwise the old configuration will be totally wiped out on an upgrade.

I didn't understand how I should do this. Can you give a example?
Comment 19 Steven Dake 2013-05-30 23:31:02 EDT
(In reply to Gang Wei from comment #18)
> > files in confdir (/etc) need a confdir directive so they can be upgraded properly - otherwise the old configuration will be totally wiped out on an upgrade.
> 
> I didn't understand how I should do this. Can you give a example?


https://github.com/sdake/fedora-reviews/blob/master/openstack-heat/openstack-heat.spec#L130
Comment 20 Gang Wei 2013-05-31 00:31:21 EDT
Thanks steven.

I have almost fixed all warnings and will upload a new pacage soon.

some warnings are not intended to be fixed for approval:
1. manual-page warnings: will push upstream to make update and then pull into a update package.
2. W:only-non-binary-in-usr-lib. This is caused by installing a new systemd .service file, I have no workaround for it and believe this could be regarded as a false-positive case.

I will be right back, and wish we can make it approaved today US time.

Thanks
Jimmy
Comment 21 Steven Dake 2013-05-31 01:43:51 EDT
Jimmy,

the systemd script is indeed a false positive and can be ignored.

The man pages as an update sounds reasonable to me.

Its 10pm here, so I am headed to bed, but I'll review your package once I get done with my morning backlog May 31.

Regards
-steve
Comment 22 Gang Wei 2013-05-31 01:51:52 EDT
(In reply to Steven Dake from comment #21)
> Jimmy,
> 
> the systemd script is indeed a false positive and can be ignored.
> 
> The man pages as an update sounds reasonable to me.
> 
> Its 10pm here, so I am headed to bed, but I'll review your package once I
> get done with my morning backlog May 31.
> 
> Regards
> -steve

Steven,

Thanks for the great support on review oat package. I am still working on a last warning, I believe I can resolve it before you wake up tomorrow.

Thanks
Jimmy
Comment 23 Gang Wei 2013-05-31 04:57:46 EDT
Spec URL: http://gwei3.fedorapeople.org/package_review/oat/v6/oat.spec
SRPM URL: http://gwei3.fedorapeople.org/package_review/oat/v6/oat-1.6.0-5.fc20.src.rpm

Fixed all rpmlint warnings expect one systemd script false positive and 12 manual-page missings.

Tested with fedora-review with fedora-rawhide-x86_64 buildroot.
Comment 24 Steven Dake 2013-05-31 13:35:28 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Packages have proper BuildRequires/Requires on jpackage-utils
  See: https://fedoraproject.org/wiki/Packaging:Java
- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in oat-appraiser,
  oat-client, oat-commandtool, oat-doc
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in oat-
     appraiser , oat-client , oat-commandtool , oat-doc , oat-javadoc
[!]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated". 54 files have unknown license.
     Detailed output of licensecheck in
     /home/sdake/915864-oat/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: oat-appraiser-1.6.0-5.fc20.x86_64.rpm
          oat-client-1.6.0-5.fc20.x86_64.rpm
          oat-commandtool-1.6.0-5.fc20.x86_64.rpm
          oat-doc-1.6.0-5.fc20.x86_64.rpm
          oat-javadoc-1.6.0-5.fc20.x86_64.rpm
oat-appraiser.x86_64: W: no-manual-page-for-binary NIARL_TPM_Module
oat-client.x86_64: W: only-non-binary-in-usr-lib
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_cert
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_oem
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_host
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_mle
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_mle_search
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_oem
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_mle
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_os
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_pcrwhitelist
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_pollhosts
oat-commandtool.x86_64: W: no-manual-page-for-binary oat_view_os
5 packages and 0 specfiles checked; 0 errors, 13 warnings.



Requires
--------
oat-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

oat-appraiser (rpmlib, GLIBC filtered):
    /bin/bash
    apache-commons-beanutils
    apache-commons-cli
    apache-commons-codec
    apache-commons-collections
    apache-commons-digester
    apache-commons-discovery
    apache-commons-logging
    bouncycastle
    c3p0
    codemodel
    config(oat-appraiser)
    dom4j
    geronimo-jta
    glassfish-fastinfoset
    glassfish-gmbal
    glassfish-ha-api
    glassfish-jaxb
    glassfish-jaxws
    glassfish-jaxws-tools
    glassfish-management-api
    glassfish-pfl
    glassfish-policy
    hibernate-commons-annotations
    hibernate-jpa-2.0-api
    hibernate3
    httpd

    istack-commons
    jackson
    jakarta-commons-httpclient
    javassist
    jersey
    jsr-311
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtspi.so.1()(64bit)
    log4j
    mimepull
    mysql
    mysql-connector-java
    mysql-server
    objectweb-asm
    php
    php-mysql
    rngom
    rtld(GNU_HASH)
    slf4j
    stax-ex
    tomcat
    tomcat-servlet-3.0-api
    txw2
    woodstox-core
    xerces-j2
    xml-commons-apis
    xml-commons-resolver
    xmlstreambuffer
    xsom

oat-client (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    apache-commons-beanutils
    apache-commons-cli
    apache-commons-codec
    apache-commons-collections
    apache-commons-digester
    apache-commons-discovery
    apache-commons-logging
    bouncycastle

    c3p0
    codemodel
    config(oat-client)
    dom4j
    geronimo-jta
    glassfish-fastinfoset
    glassfish-gmbal
    glassfish-ha-api
    glassfish-jaxb
    glassfish-jaxws
    glassfish-jaxws-tools
    glassfish-management-api
    glassfish-pfl
    glassfish-policy
    hibernate-commons-annotations
    hibernate-jpa-2.0-api
    hibernate3
    istack-commons
    jackson
    jakarta-commons-httpclient
    java-1.7.0-openjdk
    javassist
    jersey
    jsr-311
    log4j
    mimepull
    mysql-connector-java
    objectweb-asm
    rngom
    slf4j
    stax-ex
    systemd
    tomcat-servlet-3.0-api
    trousers
    txw2
    woodstox-core
    xerces-j2
    xml-commons-apis
    xml-commons-resolver
    xmlstreambuffer
    xsom

oat-commandtool (rpmlib, GLIBC filtered):
    /bin/bash
    curl
    openssl

oat-doc (rpmlib, GLIBC filtered):



Provides
--------
oat-javadoc:
    oat-javadoc
    oat-javadoc(x86-64)

oat-appraiser:
    config(oat-appraiser)
    oat-appraiser
    oat-appraiser(x86-64)

oat-client:
    config(oat-client)
    oat-client
    oat-client(x86-64)

oat-commandtool:
    oat-commandtool
    oat-commandtool(x86-64)

oat-doc:
    oat-doc
    oat-doc(x86-64)



Source checksums
----------------
https://github.com/OpenAttestation/OpenAttestation/archive/v1.6.0/OpenAttestation-1.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 608aa58bb9afeea8e059bb0cb5c9be49711df1dd7a84c6fbeb1a61848149017b
  CHECKSUM(SHA256) upstream package : 608aa58bb9afeea8e059bb0cb5c9be49711df1dd7a84c6fbeb1a61848149017b


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 915864
Comment 25 Steven Dake 2013-05-31 13:43:10 EDT
Jimmy,

getting really close!  Forgive the missed review points from previous reviews - this is my first java package review and I want to make sure I get it right.

BLOCKERS:
from https://fedoraproject.org/wiki/Packaging:Java

1. https://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires

BuildRequires: java-devel [>= specific_version] 
BuildRequires:  jpackage-utils

2. I believe the java packages that don't include the c++ binary (the TPM file) should be noarch, but could you test to make certain?

3. http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
Read that and see if it applies to this package.  I am uncertain if client should require the parent package or not (eg: if it is a server agent vs a server application it should not)

Regards
-steve
Comment 26 Gang Wei 2013-05-31 16:22:10 EDT
Steve,

I will work on 1 & 2. But for 3, since oat-client are not require the oat-appraiser (they usually installed on separate systems), it should not applies to oat package.

I will make a update asap. please wait online.

Thank
Jimmy
Comment 28 Steven Dake 2013-05-31 16:27:43 EDT
Jimmy,

Karma requires testing, which I can't do, because I don't know how your software works :)  I believe they will automatically enter the repo after a set period of time, however and are already present in rawhide.  Since F19 is in feature freeze, not sure what the rush is, since this package can only be SCM'ed into rawhide, not F19.

Regards
-steve
Comment 29 Gang Wei 2013-05-31 16:59:31 EDT
I think the guideline is new package can be branched for X-2 ~ X, currently it mean f17~f19, why can't branch for f19?
Comment 30 Tom "spot" Callaway 2013-05-31 17:05:48 EDT
You can branch into f19. Not sure what Steve is talking about there. :)
Comment 31 Gang Wei 2013-05-31 17:26:04 EDT
the oat-appraiser subpackage can't pass buid if given noarch. So I can only build oat-doc, oat-commandtool & oat-javadoc in noarch. Is it enough?
Comment 33 Steven Dake 2013-05-31 18:30:58 EDT
(In reply to Gang Wei from comment #31)
> the oat-appraiser subpackage can't pass buid if given noarch. So I can only
> build oat-doc, oat-commandtool & oat-javadoc in noarch. Is it enough?

Yes.  oat-appraiser contains the c++ code if I recall correctly.  This should be arch dependent.
Comment 34 Steven Dake 2013-05-31 18:36:19 EDT
APPROVED - nice work Jimmy.  Please submit a SCM request.
Comment 35 Gang Wei 2013-05-31 18:40:00 EDT
New Package SCM Request
=======================
Package Name: oat
Short Description: package for OpenAttestation project
Owners: gwei3
Branches: f18 f19 el6
InitialCC: gwei3
Comment 36 Steven Dake 2013-05-31 18:42:37 EDT
(In reply to Tom "spot" Callaway from comment #30)
> You can branch into f19. Not sure what Steve is talking about there. :)

Tom,
I had heard this feature request was denied by fesco because it didn't make the feature freeze deadline.  I guess I was speculating a bit it shouldn't go into f19.  Thanks for the correction.
Comment 37 Gang Wei 2013-05-31 18:48:23 EDT
(In reply to Steven Dake from comment #34)
> APPROVED - nice work Jimmy.  Please submit a SCM request.

Steve,

Appreciate for the huge effort you spent for oat package review!

Thanks a lot and have a good weekend!

Thanks
Jimmy
Comment 38 Gang Wei 2013-06-02 06:31:56 EDT
New Package SCM Request
=======================
Package Name: oat
Short Description: package for OpenAttestation project
Owners: gwei3
Branches: f19
InitialCC: gwei3
Comment 39 Gang Wei 2013-06-03 02:08:31 EDT
New Package SCM Request
=======================
Package Name: oat
Short Description: Attestation Service & Host Agent based on OpenAttestation SDK
Owners: gwei3
Branches: f19
InitialCC:
Comment 40 Jon Ciesla 2013-06-03 06:23:05 EDT
Git done (by process-git-requests).
Comment 41 Fedora Update System 2013-06-03 12:27:25 EDT
oat-1.6.0-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/oat-1.6.0-6.fc19
Comment 42 Fedora Update System 2013-06-04 23:18:57 EDT
oat-1.6.0-6.fc19 has been pushed to the Fedora 19 stable repository.
Comment 43 Gang Wei 2013-06-28 05:26:18 EDT
Package Change Request
======================
Package Name: oat
New Branches: el6
Owners: gwei3
InitialCC:
Comment 44 Gang Wei 2013-06-28 05:28:21 EDT
Package Change Request
======================
Package Name: oat
New Branches: el6
Owners: gwei3
InitialCC:
Comment 45 Jon Ciesla 2013-06-28 07:50:38 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.